<?php

namespace Drupal\mconnector\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

class ConfigureMConnectorForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'configuremconnector_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    // Form constructor.
    $form = parent::buildForm($form, $form_state);
    // Default settings.
    $config = $this->config('mconnector.settings');

    
    $form['murl'] = array(
      '#type' => 'textfield',
      '#title' => $this->t('URL:'),
      '#default_value' => $config->get('common.murl'),
      '#description' => $this->t('Web URL of your CMS where assets are stored.'),
    );

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state){
	  
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('mconnector.settings');
    $config->set('common.murl', $form_state->getValue('murl'));
    $config->save();
    return parent::submitForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'mconnector.settings',
    ];
  } 
}