<?php

namespace Drupal\mconnector\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\ckeditor\CKEditorPluginConfigurableInterface;
use Drupal\editor\Entity\Editor;

ini_set('display_errors', 'On');
error_reporting(E_ALL);


/**
 * Defines the "mconnector" plugin.
 *
 * @CKEditorPlugin(
 *   id = "mconnector",
 *   label = @Translation("CKEditor Color Button")
 * )
 */
 
class Mconnector extends CKEditorPluginBase {

  /**
   * Get path to library folder.
   */
  public function getLibraryPath() {
    $path = 'libraries/mconnector';
    if (\Drupal::moduleHandler()->moduleExists('libraries')) {
      $path = libraries_get_path('mconnector');
    }
    return $path;
  }

  /**
   * {@inheritdoc}
   */
  public function getDependencies(Editor $editor) {
    return ['iframedialog'];
  }

  /**
   * {@inheritdoc}
   */
  public function getFile() {
	return $this->getLibraryPath() . '/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
	$settings = \Drupal::config('mconnector.settings');
	$config = [];
	$config['mconnector_murl']= $settings->get('common.murl');
	return $config;
	//return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    $path = $this->getLibraryPath();
    return [
      'mconnector' => [
        'label' => $this->t('Open Content Hub'),
        'image' => $path . '/icons/mconnector.png',
      ]
    ];
  }
}
